%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# tests disabled until we can rebuild newer tap

Name:       nodejs-gzip-size
Version:    3.0.0
Release:    1%{?dist}
Summary:    Get the gzipped size of a string or buffer
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/gzip-size
Source0:    http://registry.npmjs.org/gzip-size/-/gzip-size-%{version}.tgz
Source1:    https://raw.githubusercontent.com/sindresorhus/gzip-size/55cd41dd1ff020282b2e9fe47620e71838d29646/test.js

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(concat-stream)
BuildRequires:  npm(zlib-browserify)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/gzip-size
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/gzip-size

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/gzip-size/index.js \
    %{buildroot}%{_bindir}/gzip-size

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap tap.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/gzip-size
%{_bindir}/gzip-size


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Update to upstream 3.0.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
